[ uuid (6BB4A9C0-28B2-1068-A9A9-08002B2EB23C),
  version(1.0),
  pointer_default(unique)]
interface file1
{

typedef struct _TYPE1 {
    short sData;
    struct _TYPE1 * pNext;
} TYPE1;

typedef struct TYPE1 * PTYPE1;
}

/* PTYPE1 does not have an explicit pointer type; that is,
   the pointer type is not part of the typedef, as in:
       typedef [ref] TYPE1 * PTYPE1;
   When no pointer type is specified in the type
   definition, the MIDL compiler associates the pointer
   attribute in the interface attribute "pointer_default"
   with the defined type.

   In this example, the header includes the attribute
   "pointer_default(unique)", so PTYPE1 defaults to the
   pointer type unique. In this case, the definition is
   equivalent to:
       typedef [unique] TYPE1 * PTYPE1;
*/
